# Created by pyp2rpm-3.3.3
%global pypi_name pycares
%global commitId b1b98341085f93c1cd60479f7aac240c5f2e681b

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        4.1.2
Release:        3%{?dist}
Summary:        Python interface for c-ares

License:        MIT
URL:            https://github.com/saghul/pycares
Source0:        python-pycares-b1b98341085f93c1cd60479f7aac240c5f2e681b.tar.gz
Source1:        c-ares-809d5e84f3423ab8165650d923acb0e246cbd006.tar.gz

BuildRequires:  gcc
BuildRequires:  python%{python3_pkgversion}-cffi >= 1.5.0
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools


%description
%{summary}


%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}
Requires:       python%{python3_pkgversion}-cffi >= 1.5.0
Requires:       python%{python3_pkgversion}-idna >= 2.1


%description -n python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%autosetup -n python-%{pypi_name}-%{commitId}
tar -C deps/c-ares --strip-component=1 -xf %{SOURCE1}


%build
%py3_build


%install
%py3_install


%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE deps/c-ares/LICENSE.md
%doc PYPIREADME.rst README.rst deps/c-ares/README.cares deps/c-ares/README.md deps/c-ares/README.msvc deps/c-ares/test/README.md
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Dec 14 2022 Dimitri Savineau <dsavinea@redhat.com> - 4.1.2-3
- Rebuild for multiarch

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 4.1.2-2
- Build against python 3.9

* Wed Nov 03 2021 Odilon Sousa 4.1.2-1
- Update to 4.1.2

* Wed Sep 08 2021 Evgeni Golov - 4.0.0-2
- Build against Python 3.8

* Fri Jun 11 2021 Evgeni Golov 4.0.0-1
- Update to 4.0.0

* Thu Nov 05 2020 Evgeni Golov - 3.1.1-2
- Fix License tag in spec file

* Wed Mar 18 2020 Samir Jha - 3.1.1-1
- Initial package.
